package com.ssj.service.sys.award.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.sys.award.domain.AwardMaterial;
import com.ssj.dao.sys.award.dao.AwardMaterialDao;
import com.ssj.dao.sys.award.dao.AwardQueryDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.award.service.AwardMaterialService;

@Service(version = "1.0")
@Transactional
public class AwardMaterialServiceImpl extends BaseServiceImpl<AwardMaterial, String> implements AwardMaterialService {
	
	@Autowired
	private AwardMaterialDao  awardMaterialDao;

	@Autowired
	private AwardQueryDao  queryDao;


	@Override
	public PagingAndSortingRepository<AwardMaterial, String> getDao() {
		return awardMaterialDao;
	}

	@Override
	public Page<Map<String, Object>> findAwardMaterialBylist(Map<String, Object> searchParams, Pageable pageable) {
		return queryDao.findAwardMaterialBylist(searchParams, pageable);
	}

	@Override
	public List<AwardMaterial> findAwardMaterialByLevel(Integer level) {
		return awardMaterialDao.findAwardMaterialByLevel(level);
	}

	@Override
	public AwardMaterial getAwardMaterialById(String id) {
		return awardMaterialDao.getAwardMaterialById(id);
	}

	
}
